SD_BUS_MESSAGE_READ_STRV(3)

NAME
sd_bus_message_read_strv - Access an array of strings in a message

SYNOPSIS

#include <systemd/sd-bus.h>

int sd_bus_message_read_strv(sd_bus_message *m, char ***l);

DESCRIPTION

sd_bus_message_read_strv() gives access to an array of string-like items in message m. The "read pointer" in the message must be right before an array of strings (D-Bus type "as"), object paths (D-Bus type "ao"), or signatures (D-Bus type "ag"). On success, a pointer to a NULL-terminated array of strings is returned in the output parameter l. Note that ownership of this array is transferred to the caller. Hence, the caller is responsible for freeing this array and its contents.

RETURN VALUE

On success, sd_bus_message_read_strv() returns a non-negative integer. On failure, it returns a negative errno-style error code.

  Errors

Returned errors may indicate the following problems:

-EINVAL
    m or l are NULL.

-EPERM
    The message is not sealed.

-EBADMSG
    The message cannot be parsed.

-ENXIO
    The message "read pointer" is not right before an array of the appropriate type.

SEE ALSO

systemd(1), sd-bus(3), sd_bus_message_read(3)